This API allows to you to manage coupons.
LiveOps API (2.0.0)
- Version: 2.0.0
- Servers:
https://store.xsolla.com/api - Contact Us by Email
- Contact URL: https://xsolla.com/
- Required TLS version: 1.2
LiveOps API provides endpoints to drive ongoing player engagement with dynamic promotions and personalized experiences. Use the endpoints to manage coupons, promo codes, discounts, bonuses, unique catalog offers, reward chains, daily chains, offer chains, and upsell.
Personalized catalog
This API allows to specify rules for user attributes. If the user meets all conditions for a concrete rule, personalized items will be shown.
For personalized promotions see Promotions section.
To pass attributes before a purchase, you can use Xsolla Login API or pass them into user.attributes property while generating token using Pay Station API.
- Mock serverhttps://xsolla.redocly.app/_mock/api/liveops/v2/project/{project_id}/user/clan/contributors/{reward_chain_id}/top
- https://store.xsolla.com/api/v2/project/{project_id}/user/clan/contributors/{reward_chain_id}/top
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
https://xsolla.redocly.app/_mock/api/liveops/v2/project/44056/user/clan/contributors/101/top \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'[ { "name": "winner", "contributed_amount": 555 }, { "name": "Rocket", "contributed_amount": 398 }, { "name": "MrJoe", "contributed_amount": 201 }, { "name": "beginner", "contributed_amount": 1 } ]
Request
Updates a current user's clan via user attributes. Claims all rewards from reward chains that were not claimed for a previous clan and returns them in the response. If the user was in a clan and now is not — their inclusion in the clan will be revoked. If the user changed the clan — the clan will be changed.
- Mock serverhttps://xsolla.redocly.app/_mock/api/liveops/v2/project/{project_id}/user/clan/update
- https://store.xsolla.com/api/v2/project/{project_id}/user/clan/update
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X PUT \
'https://xsolla.redocly.app/_mock/api/liveops/v2/project/{project_id}/user/clan/update' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'{ "reward": [ { … }, { … } ] }